Streamable (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.portable
Interface Streamable

All Known Subinterfaces:
  StreamableValue

All Known Implementing Classes:
  AlreadyBoundHolder, AnyHolder, AnySeqHolder, BindingHolder, BindingIteratorHolder, BindingListHolder, BindingTypeHolder, BooleanHolder, BooleanSeqHolder, ByteHolder, CannotProceedHolder, CharHolder, CharSeqHolder, CookieHolder, CurrentHolder, DoubleHolder, DoubleSeqHolder, FixedHolder, FloatHolder, FloatSeqHolder, IntHolder, InvalidAddressHolder, InvalidNameHolder, IORHolder, LongHolder, LongLongSeqHolder, LongSeqHolder, MultipleComponentProfileHolder, NameComponentHolder, NameHolder, NamingContextExtHolder, NamingContextHolder, NotEmptyHolder, NotFoundHolder, NotFoundReasonHolder, ObjectHolder, OctetSeqHolder, ParameterModeHolder, PolicyErrorHolder, PolicyHolder, PolicyListHolder, PrincipalHolder, ServiceContextHolder, ServiceContextListHolder, ServiceInformationHolder, ShortHolder, ShortSeqHolder, StringHolder, StringSeqHolder, TaggedComponentHolder, TaggedProfileHolder, TypeCodeHolder, ULongLongSeqHolder, ULongSeqHolder, UnknownUserExceptionHolder, UShortSeqHolder, ValueBaseHolder, WCharSeqHolder, WrongTransactionHolder, WStringSeqHolder

public interface Streamable

The base class for the Holder classess of all complex IDL types. The ORB treats all generated Holders as Streamable to invoke the methods for marshalling and unmarshalling.

Since:
  JDK1.2

Method Summary
`void` | `_read(InputStream istream)` Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
`TypeCode` | `_type()` Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
`void` | `_write(OutputStream ostream)` Marshals to `ostream` the value in the `value` field of the Holder.

Method Detail

### _read

    public void _read(InputStream istream)

  Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.

  Parameters:
    `istream` - the InputStream that represents the CDR data from the wire.

### _write

    public void _write(OutputStream ostream)

  Marshals to `ostream` the value in the `value` field of the Holder.

  Parameters:
    `ostream` - the CDR OutputStream

### _type

    public TypeCode _type()

  Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.

  Returns:
    the `TypeCode` object for the value held in the holder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.